XMLROFF(1)

NAME
xmlroff - XSL formatter

SYNOPSIS

xmlroff [-o output-file] [--format {auto | pdf | postscript}] [--backend {gp | cairo}] [--continue] [-? | --help] [--compat | --nocompat] [--compat-stylesheet] [--valid | --novalid] [-v | --version] [-w warning-mode] [-d debug-mode] file [stylesheet]

DESCRIPTION

xmlroff is a free, fast and high-quality XSL formatter that is useful for DocBook formatting. It produces PDF or PostScript output. It integrates easily with other programs and with scripting languages.

xmlroff processes the XML-FO file. An arbitrary XML file can optionally be first transformed via a specified XSLT stylesheet.

OPTIONS

-v  Show version information.

-?, --help
    Show help message.

-o output-file
    Specify output filename. If this option is not specified, a default of layout.pdf will be used.

-d debug-mode
    Specify debug mode.

-w warning-mode
    Specify warning mode.

--format {auto | pdf | postscript}
    Specify format of the output file. The default is auto which selects the format based on the extension of the output filename.

--backend {gp | cairo}
    Specify backend used to produce the output file. The default is GNOME print (gp).

--compat, --nocompat
    Do or do not pre-processes the input file with an internal compatibility stylesheet. Default is --compat.

--compat-stylesheet
    Prints the internal compatibility stylesheet then exits.

--continue
    Continue after any formatting errors.

--valid, --novalid
    Do or do not load the DTD. Default is --novalid.

REPORTING BUGS

Report bugs at http://xmlroff.org/newticket: http://xmlroff.org/newticket.

SEE ALSO

xsltproc(1)

AUTHOR

Tony Graham